Subject: Re: [Sip] WGLC for draft-ietf-sip-fork-loop-fix-01.txt

From: Cullen Jennings <[email-masked]>
Date: Sun, 7 May 2006 07:43:55 -0700

Nice to see this document happening - thanks. This document is  
updating 3261, at a high level it should fix the problem we  
identified which is a few fold,

1) loop detection is not optional

2) the description in 2361 has a bug (with via)

3) the description seem to be hard for implementers to get right.

This document should fix those - all of them.

I think this document should mention the bug fix to 3261.

If implementers are having a hard time getting 3261 implementation  
correct, could we provide some advice that made it easier to  
implement? I agree it is confusing in 3261 but the basic idea is  
pretty simple.

The security section is pretty weak here - might be nice to you can  
only do this attack if you have an account on the service and can  
register bad contacts that create the loop and that if it happened on  
todays networks how one can trace it to the user that did it.

Cullen <with my individual contributor hat on>

On Apr 10, 2006, at 1:15 PM, Dean Willis wrote:

>
> I'd like to ask the working group to review the "forking loop fix"  
> draft preparatory to requesting publication of it as a standards- 
> track RFC.
>
>
> The document revised following the Dallas meeting document is  
> available from:
>
> http://www.ietf.org/internet-drafts/draft-ietf-sip-fork-loop- 
> fix-01.txt
>
>
>
> I'd like to complete this review by May 7, 2006.
>
> Please send all comments to the list and copy the author,  
> [email-masked]
>
> --
> Dean
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip